Eclipse Platform Release 3.7

## org.eclipse.ui.intro.contentproviders
Class EclipseRSSViewer

    java.lang.Object
      org.eclipse.ui.intro.contentproviders.EclipseRSSViewer

All Implemented Interfaces:
  IIntroContentProvider

    public class EclipseRSSViewer

extends Object
implements IIntroContentProvider

A content provider which allows a news reader to be included in dynamic intro content.

The id for the contentProvider tag must consist of the following attributes. Each of these attributes must be separated by '##'.

Attribute | Description
--- | ---
url | RSS news feed url
welcome_items | Number of news feed to be displayed
no_news_url | Alternative url for news feed
no_news_text | Text for the alternative url

For example:

<contentProvider

id="url=http://www.eclipse.org/home/eclipsenews.rss##welcome_items=5##no_news_url=http://www.eclipse.org/community/##no_news_text=Welcome to the Eclipse Community Page"
pluginId="org.eclipse.ui.intro"
class="org.eclipse.ui.intro.contentproviders.EclipseRSSViewer">

</contentProvider>

Since:
  3.4

Constructor Summary
`EclipseRSSViewer()`

Method Summary
`void` `createContent(String id, Composite parent, FormToolkit toolkit)` Create widgets to display the newsreader when using the SWT presentation
`void` `createContent(String id, PrintWriter out)` Create the html content for this newsreader
`void` `dispose()` Dispose of the ContentProvider.
`void` `init(IIntroContentProviderSite site)` Initialize the content provider

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EclipseRSSViewer

    public EclipseRSSViewer()

Method Detail

### init

    public void init(IIntroContentProviderSite site)

  Initialize the content provider

  Specified by:
    `init` in interface `IIntroContentProvider`
  Parameters:
    `site` - an object which allows rcontainer reflows to be requested

### createContent

    public void createContent(String id,
                              PrintWriter out)

  Create the html content for this newsreader

  Specified by:
    `createContent` in interface `IIntroContentProvider`
  Parameters:
    `id` -
    `out` - a writer where the html will be written

### createContent

    public void createContent(String id,
                              Composite parent,
                              FormToolkit toolkit)

  Create widgets to display the newsreader when using the SWT presentation

  Specified by:
    `createContent` in interface `IIntroContentProvider`
  Parameters:
    `id` - the unique identifier of the content element
    `parent` - the parent composite that should be used when creating SWT widgets
    `toolkit` - the form toolkit that should be used when creating new widgets

### dispose

    public void dispose()

  Description copied from interface: `IIntroContentProvider`
  Dispose of the ContentProvider. This will only be called when the Intro view is closed. In other words, the content provider will not be disposed of until the last possible minute. This gives the implementor the chance to cache content and avoid regenerating content on every page switch.

  Specified by:
    `dispose` in interface `IIntroContentProvider`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.